package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * apms推送检验结果表
 * </p>
 *
 * @author mt
 * @since 2021-12-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_apms_check_result")
public class ApmsCheckResult extends Model<ApmsCheckResult> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 删除标志，是否有效:1 可用 0不可用，2停止
     */
    @TableField("valid")
    @TableLogic
    private Integer valid;

    /**
     * 添加时间，入库时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Integer creatorId;

    /**
     * 更新人id
     */
    @TableField("updater_id")
    private Integer updaterId;

    /**
     * 修改时间，更具修改时间来判断下次执行顺序，第一次修改时间和新增时间相同
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 版本号 默认为 1
     */
    @TableField("version")
    @Version
    private String version;

    /**
     * 生产单号
     */
    @TableField("sheet_no")
    private String sheetNo;

    /**
     * 标识卡号
     */
    @TableField("iden_card_num")
    private String idenCardNum;

    /**
     * 硬度检验结果（合格、不合格、返工、作废）
     */
    @TableField("hardness")
    private String hardness;

    /**
     * 金相检验结果（合格、不合格）
     */
    @TableField("metallography")
    private String metallography;

    /**
     * 心部硬度检验值
     */
    @TableField("heart_hardness")
    private String heartHardness;

    /**
     * 备注，特殊注释等
     */
    @TableField("remake")
    private String remake;

    /**
     * 硬度检验结果1
     */
    @TableField("hardness_value_one")
    private String hardnessValueOne;

    /**
     * 硬度检验结果2
     */
    @TableField("hardness_value_two")
    private String hardnessValueTwo;

    /**
     * 硬度检验结果3
     */
    @TableField("hardness_value_three")
    private String hardnessValueThree;


    public static final String ID = "id";

    public static final String VALID = "valid";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATOR_ID = "creator_id";

    public static final String UPDATER_ID = "updater_id";

    public static final String UPDATE_TIME = "update_time";

    public static final String VERSION = "version";

    public static final String SHEET_NO = "sheet_no";

    public static final String IDEN_CARD_NUM = "iden_card_num";

    public static final String HARDNESS = "hardness";

    public static final String METALLOGRAPHY = "metallography";

    public static final String HEART_HARDNESS = "heart_hardness";

    public static final String REMAKE = "remake";

    public static final String HARDNESS_VALUE_ONE = "hardness_value_one";

    public static final String HARDNESS_VALUE_TWO = "hardness_value_two";

    public static final String HARDNESS_VALUE_THREE = "hardness_value_three";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
